Bug 1548671

Summary: rockboxUtility does not compile on ppc64le
Product: [Fedora] Fedora Reporter: philippe ventrillon <pventrillon>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: dan, package-review, ppisar, rc040203, zebob.m
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64le   
OS: Linux   
Whiteboard: NotReady
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1071880    

Description philippe ventrillon 2018-02-24 10:38:28 UTC
The full logs are in the build report :
https://koji.fedoraproject.org/koji/taskinfo?taskID=25277186

This is the actual cause of the failure :
gcc -MG -MM -MT /builddir/build/BUILD/RockboxUtility-v1.4.0/buildrbutil/build//libs///libspeex/rbspeexdec.o -m64 -DHAVE_CONFIG_H -DROCKBOX_VOICE_ENCODER -I ../../lib/rbcodec/codecs/libspeex -O3 -fomit-frame-pointer -Wno-unused-parameter -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 -o /builddir/build/BUILD/RockboxUtility-v1.4.0/buildrbutil/build//libs///libspeex/rbspeexdec.d rbspeexdec.c
gcc: error: unrecognized command line option '-mmacosx-version-min=10.4'


It seems the build system thinks this is a MAC

Comment 1 Dan Horák 2018-02-24 11:11:37 UTC
Yup, looks as a wrong assumption (if ppc, then mac) by the buildsystem, it should be reported upstream.

Comment 2 philippe ventrillon 2018-02-24 11:32:22 UTC
Yes i am going to report the bug upstream
My first goal was to have a bug to be able to place an excludeArch tag in my .spec file while still being conformant to package guidelines.

Comment 3 Ralf Corsepius 2018-02-24 12:15:52 UTC
If you have a closer look into the build.log, you'll notice that this package does not honor Fedora's CFLAGS at all.

Comment 4 Robert-André Mauchin 2018-02-25 00:14:53 UTC
Just a few info :
 - Not needed: Group:, Packager:
 - Use the %{qmake_qt5} macro
 - Use correct format for %changelog (that's where you put your name)

Comment 5 Jason Tibbitts 2018-02-27 19:54:07 UTC
Why is this filed as a package review?

Comment 6 philippe ventrillon 2018-03-04 19:24:14 UTC
Thank you for your help and acomments.

I have tried to set a %{ qmake_qt4 } macro instead of invoking qt-make directly. Unfortunately it makes the program to not compile anymore.
I get lots of errors like : 
/usr/bin/ld: /home/ventrill/projects/rpm/rbutil5/RockboxUtility-v1.4.0/buildrbutil/build//libs//librbspeex.a(rbspeex.o): relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC


I think i will need time and help from upstream to investigate this.


I opened this bug to have a number to place in the spec file nearby the excludeArch tag. When i opened the bug package review seemed to me the most suitable.